#!/usr/bin/env python
# -*- coding: utf-8 -*-

import cgaVentanaLogin
import cgaVentanaFiltro


class Controlador_Ventanas():
    """
        Clase de controlador de ventanas donde muestra la ventana de login y 
        la ventana de filtro. 
        Enlaza las ventanas con los eventos de la clase app_controler
    """
    
    def __init__(self):
        """
            Conectamos los eventos de los botones de la ventana principal con 
            los procedimentos
        """
        
        self.vl = cgaVentanaLogin.Ventana_Principal()
        
        self.vf= cgaVentanaFiltro.editFilterWidget("filtro")  

    #Definimos los manejadores para los botones de la ventana filtro
    
    def vf_asignar_manejador_btn_enable(self, manejador):
        
        self.vf.b_enabled.connect("clicked", manejador)
        
    def vf_asignar_manejador_btn_change_pwd(self,manejador):
        
        self.vf.b_change_pwd.connect("clicked", manejador)    
            
    def vf_asignar_manejador_btn_aplicar(self, manejador):
        
        self.vf.b_aplicar.connect("clicked", manejador)
        
    def vf_asignar_manejador_btn_cancelar(self, manejador):
        
        self.vf.b_cancelar.connect("clicked", manejador)    
        
    def vf_asignar_manejador_btn_aceptar(self , manejador):
            
        self.vf.b_aceptar.connect("clicked", manejador)
    
    def vl_asignar_focus_entry_pw(self):
        
        self.vl.entry_pw.connect("focus")
        
    def vl_asignar_enter_entry_pw(self, manejador):
        
        self.vl.entry_pw.connect("activate", manejador)
        
    #Definimos los manejadores para los botones de la ventana login
             
    def vl_asignar_manejador_btn_auto(self,manejador):
        
        self.vl.btn_auto.connect("clicked", manejador)    
    
    def vl_asignar_manejador_btn_salir(self,manejador):
        
        self.vl.btn_salir.connect("clicked", manejador)      