#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pygtk
pygtk.require("2.0")
import gtk

class editFilterWidget(gtk.Window):
    """
        Se define la ventana del filtro
    """
    def __init__ (self, friendly_name):
        """ Edita un fichero de texto. Se provee un nombre amigable para 
        usar como título de la ventana y un fichero a editar
        """
        super(editFilterWidget, self).__init__(gtk.WINDOW_TOPLEVEL)
        # Se carga la imagen del icono
        self.set_icon_from_file("/usr/share/pixmaps/cga-filtro-edu20.svg")
        #Se definen los compomentes de la ventana del filtro
        accelgroup = gtk.AccelGroup()
        key, modifier = gtk.accelerator_parse('Escape')
        accelgroup.connect_group(key, modifier, gtk.ACCEL_VISIBLE, gtk.main_quit)
        self.add_accel_group(accelgroup)
        
        self.fn=friendly_name
        self.modificado = {"blanca": False, "negra": False}
        self.color_rojo = gtk.gdk.Color(255, 0, 0)
        self.color_verde = gtk.gdk.Color(0, 255, 0)

        layout = gtk.VBox(homogeneous=False, spacing=5)
        
        # Botón aceptar
        self.b_aceptar=gtk.Button(gtk.STOCK_OK)
        self.b_aceptar.set_use_stock(True)

        # Botón cancelar
        self.b_cancelar=gtk.Button(gtk.STOCK_CANCEL)
        self.b_cancelar.set_use_stock(True)

        # Botón aplicar
        self.b_aplicar = gtk.Button(gtk.STOCK_APPLY)
        self.b_aplicar.set_use_stock(True)
        
        # Botón de autorizar
        self.b_auth=gtk.Button("A_utorizar")
        self.b_auth.set_flags(gtk.CAN_DEFAULT)
        self.set_default(self.b_auth)

        # Botón de cambio de contraseña
        self.b_change_pwd = gtk.Button("Ca_mbiar contraseña")
        
        # Botón de habilitar/deshabilitar filtrado
        self.b_enabled = gtk.Button("Habilitar")
        
        # Letrero de estado del filtro
        self.e_estado = gtk.Label("Estado del filtro:")
        self.e_estado.set_use_markup(True)
        estado_box = gtk.HBox()
        estado_box.pack_start(self.e_estado)

        # Botonera de autorización
        botonera_auth=gtk.HButtonBox()
        botonera_auth.add(self.b_change_pwd)
        botonera_auth.add(self.b_enabled)

        # Botonera inferior
        botonera = gtk.HButtonBox()
        botonera.add(self.b_cancelar)
        botonera.add(self.b_aplicar)
        botonera.add(self.b_aceptar)
        
        ### Lista blanca
        # Contenido del textview
        self.contenido_negro=gtk.TextBuffer()
        self.t_edicion_negro = gtk.TextView()
        self.t_edicion_negro.set_buffer(self.contenido_negro)

        # El scroll para poder hacer idem en el texto
        scrolled_negra=gtk.ScrolledWindow()
        scrolled_negra.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
        scrolled_negra.add(self.t_edicion_negro)

        # Elegante marco que rodea el texto
        frame1=gtk.Frame()
        frame1.add(scrolled_negra)

        ### Lista blanca
        # Contenido del textview
        self.contenido_blanco=gtk.TextBuffer()
        self.t_edicion_blanco = gtk.TextView()
        self.t_edicion_blanco.set_buffer(self.contenido_blanco)
        
        # El scroll para poder hacer idem en el texto
        scrolled_blanca=gtk.ScrolledWindow()
        scrolled_blanca.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
        scrolled_blanca.add(self.t_edicion_blanco)

        # Elegante marco que rodea el texto
        frame2=gtk.Frame()
        frame2.add(scrolled_blanca)

        # Widget de tabs
        tabs=gtk.Notebook()
        l_blanca=gtk.Label("Lista blanca")
        l_negra=gtk.Label("Lista negra")

        tabs.append_page(frame1, l_negra)
        tabs.append_page(frame2, l_blanca)

        # Arriba el "editor" y abajo los botones.
        layout.pack_start(tabs, True, True, 5)
        layout.pack_start(estado_box, False, False, 5)
        layout.pack_start(botonera_auth, False, True, 5)
        layout.pack_start(botonera, False, True, 5)

        # Definición estandar de ventana
        self.add(layout)
        self.resize(320, 450)
        self.set_position(gtk.WIN_POS_CENTER)
        self.set_title(friendly_name)
